external-dns:
  extraArgs:
  - --cloudflare-proxied
  sources:
  - istio-gateway
  - istio-virtualservice
  domainFilters:
  - from-the-lamp.com
  domainFilters:
  - from-the-lamp.com
  policy: sync
  logLevel: debug
  provider: 
    name: cloudflare
  env:
    - name: CF_API_TOKEN
      valueFrom:
        secretKeyRef:
          name: cloudflare
          key: apiKey
